Bug 1889481 - conflicting files in legal directories of javadocs [rhel-8]
Summary: conflicting files in legal directories of javadocs [rhel-8]
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: java-11-openjdk
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: jiri vanek
QA Contact: OpenJDK QA
URL:
Whiteboard:
Depends On:
Blocks: 1889706 1889707 1889708 1889709
TreeView+ depends on / blocked
 
Reported: 2020-10-19 18:16 UTC by jiri vanek
Modified: 2020-11-16 15:10 UTC (History)
3 users (show)

Fixed In Version: java-11-openjdk-11.0.9.11-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1889706 1889707 1889708 1889709 (view as bug list)
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description jiri vanek 2020-10-19 18:16:01 UTC
See eg: http://hydra.brq.redhat.com:8080/view/rhqe/job/rhqe-jp11-ojdk11~rpms-el8z.aarch64-release.sdk-el8z.aarch64.beaker-x11.defaultgc.legacy.lnxagent.jfroff/106/java-reports/#rhqe#test-multiversion-confilicts.sh


Conflicting files are:
/usr/share/licenses/java-11-openjdk-javadoc/legal/java.smartcardio/pcsclite.md
/usr/share/licenses/java-11-openjdk-javadoc/legal/java.xml/xalan.md
/usr/share/licenses/java-11-openjdk-javadoc/legal/jdk.internal.le/jline.md
/usr/share/licenses/java-11-openjdk-javadoc/legal/jdk.javadoc/jquery.md
java-11-openjdk-javadoc-zip-11.0.9.11-1.el8_3.aarch64:
/usr/share/licenses/java-11-openjdk-javadoc-zip/legal/java.base/public_suffix.md
/usr/share/licenses/java-11-openjdk-javadoc-zip/legal/java.smartcardio/pcsclite.md
/usr/share/licenses/java-11-openjdk-javadoc-zip/legal/java.xml/xalan.md
/usr/share/licenses/java-11-openjdk-javadoc-zip/legal/jdk.internal.le/jline.md
/usr/share/licenses/java-11-openjdk-javadoc-zip/legal/jdk.javadoc/jquery.md

This bug is valid for jdk11 on rhel8.
Was recently fixed in rhel7, and there is dangling PR for fedora: https://src.fedoraproject.org/rpms/java-latest-openjdk/pull-request/34 + https://src.fedoraproject.org/rpms/java-11-openjdk/pull-request/102

Comment 1 Andrew John Hughes 2020-10-20 00:05:47 UTC
(In reply to jiri vanek from comment #0)
> See eg:
> http://hydra.brq.redhat.com:8080/view/rhqe/job/rhqe-jp11-ojdk11~rpms-el8z.
> aarch64-release.sdk-el8z.aarch64.beaker-x11.defaultgc.legacy.lnxagent.jfroff/
> 106/java-reports/#rhqe#test-multiversion-confilicts.sh
> 
> 
> Conflicting files are:
> /usr/share/licenses/java-11-openjdk-javadoc/legal/java.smartcardio/pcsclite.
> md
> /usr/share/licenses/java-11-openjdk-javadoc/legal/java.xml/xalan.md
> /usr/share/licenses/java-11-openjdk-javadoc/legal/jdk.internal.le/jline.md
> /usr/share/licenses/java-11-openjdk-javadoc/legal/jdk.javadoc/jquery.md
> java-11-openjdk-javadoc-zip-11.0.9.11-1.el8_3.aarch64:
> /usr/share/licenses/java-11-openjdk-javadoc-zip/legal/java.base/
> public_suffix.md
> /usr/share/licenses/java-11-openjdk-javadoc-zip/legal/java.smartcardio/
> pcsclite.md
> /usr/share/licenses/java-11-openjdk-javadoc-zip/legal/java.xml/xalan.md
> /usr/share/licenses/java-11-openjdk-javadoc-zip/legal/jdk.internal.le/jline.
> md
> /usr/share/licenses/java-11-openjdk-javadoc-zip/legal/jdk.javadoc/jquery.md
> 
> This bug is valid for jdk11 on rhel8.
> Was recently fixed in rhel7, 

I think you may be getting confused with java-1.8.0-openjdk and bug 1861053. I don't see a fix in the RHEL 7 java-11-openjdk RPM.

and there is dangling PR for fedora:
> https://src.fedoraproject.org/rpms/java-latest-openjdk/pull-request/34 +
> https://src.fedoraproject.org/rpms/java-11-openjdk/pull-request/102

I'll review these now. I haven't been checking Fedora while busy with the CPU.


Note You need to log in before you can comment on or make changes to this bug.